import 'package:isar/isar.dart';
import 'package:okane/database/collections/account.dart';
import 'package:okane/database/collections/beneficiary.dart';
import 'package:okane/database/collections/expense_category.dart';

part 'template.g.dart';

@collection
class TransactionTemplate {
  Id id = Isar.autoIncrement;

  late String name;

  late double amount;

  late bool recurring;

  final expenseCategory = IsarLink<ExpenseCategory>();

  final beneficiary = IsarLink<Beneficiary>();

  final account = IsarLink<Account>();
}
