import 'package:isar/isar.dart';
import 'package:okane/database/collections/account.dart';

part 'beneficiary.g.dart';

enum BeneficiaryType { account, other }

@collection
class Beneficiary {
  Id id = Isar.autoIncrement;

  late String name;

  @Enumerated(EnumType.ordinal)
  late BeneficiaryType type;

  final account = IsarLink<Account>();

  String? imagePath;
}
