import 'package:isar/isar.dart';
import 'package:okane/database/collections/account.dart';
import 'package:okane/database/collections/template.dart';

part 'recurrent.g.dart';

@collection
class RecurringTransaction {
  Id id = Isar.autoIncrement;

  late int days;

  DateTime? lastExecution;

  final template = IsarLink<TransactionTemplate>();

  final account = IsarLink<Account>();
}
